.merge-request
  = render "projects/merge_requests/show/mr_title"
  = render "projects/merge_requests/show/how_to_merge"
  = render "projects/merge_requests/show/mr_box"
  = render "projects/merge_requests/show/state_widget"
  = render "projects/merge_requests/show/commits"
  = render "projects/merge_requests/show/participants"

  - if @commits.present?
    %ul.nav.nav-pills.merge-request-tabs
      %li.notes-tab{data: {action: 'notes'}}
        = link_to project_merge_request_path(@project, @merge_request) do
          %i.icon-comment
          = t('merge_request_section.discussion')
          %span.badge= @merge_request.mr_and_commit_notes.count
      %li.diffs-tab{data: {action: 'diffs'}}
        = link_to diffs_project_merge_request_path(@project, @merge_request) do
          %i.icon-list-alt
          = t('merge_request_section.changes')
          %span.badge= @merge_request.diffs.size

  - content_for :note_actions do
    - if can?(current_user, :modify_merge_request, @merge_request)
      - unless @merge_request.closed? || @merge_request.merged?
        = link_to "#{t('merge_request_section.close')}", project_merge_request_path(@project, @merge_request, merge_request: {state_event: :close }), method: :put, class: "btn btn-grouped btn-close close-mr-link", title: t("merge_request_section.close_title")
      - if @merge_request.closed?
        = link_to t('merge_request_section.reopen'), project_merge_request_path(@project, @merge_request, merge_request: {state_event: :reopen }), method: :put, class: "btn btn-grouped btn-reopen reopen-mr-link", title: t("merge_request_section.reopen_title")

  .diffs.tab-content
    - if current_page?(action: 'diffs')
      = render "projects/merge_requests/show/diffs"
  .notes.tab-content.voting_notes#notes{ class: (controller.action_name == 'show') ? "" : "hide" }
    = render "projects/notes/notes_with_form"
  .status

:javascript
  var merge_request;

  merge_request = new MergeRequest({
    url_to_automerge_check: "#{automerge_check_project_merge_request_path(@project, @merge_request)}",
    check_enable: #{@merge_request.unchecked? ? "true" : "false"},
    url_to_ci_check: "#{ci_status_project_merge_request_path(@project, @merge_request)}",
    ci_enable: #{@project.ci_service ? "true" : "false"},
    current_status: "#{@merge_request.merge_status_name}",
    action: "#{controller.action_name}"
  });
